package ru.landgrafhomyak.db.serdha0.api.runtime

import ru.landgrafhomyak.db.serdha0.api.module.ModuleTemplate

@Suppress("SpellCheckingInspection")
public interface UnsynchronizedDatabase {
	public fun <UserExtension : Any> addModuleTemplates(creator: ModuleTemplate.Provider<UserExtension>): UserExtension

	public suspend fun <ModuleUserExtension : Any> synchronize(conent: ModuleTemplate<ModuleUserExtension>): SynchronizedDatabase<ModuleUserExtension>
}